Subject: RE: [Megaco] H.248.14: what if GW goes OOS?

From: "Kevin Boyle" <[email-masked]>
Date: Fri, 9 Sep 2005 13:19:17 -0400

There is no requirement in H.248.14 that the MGC send heartbeat
messages, although I think that it is a wise thing to do nonetheless.
If the MG is OOS and receives a heartbeat from the MGC, it certainly
won't respond, so the MGC would be foolish to continue sending any
heartbeats to the MG.

Kevin

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf
Of Pascal Lambers
Sent: Wednesday, September 07, 2005 12:51 PM
To: [email-masked]
Subject: Re: [Megaco] H.248.14: what if GW goes OOS?

Thanks Christian. I agree and the last sentence was indeed about the MGC
sending heartbeat messages.
Kind regards,
Pascal

----- Original Message -----
From: "Christian Groves" <[email-masked]>
To: "Pascal Lambers" <[email-masked]>
Cc: <[email-masked]>
Sent: Wednesday, September 07, 2005 1:35 AM
Subject: Re: [Megaco] H.248.14: what if GW goes OOS?

> Hello Pascal,
>
> I think there's a typo in the last sentence. Assuming that you mean
MGC
> (not MG):
> Given that the MG has gone OOS then there's no point sending down
> heartbeat messages as the control association has most probably ended.
> So the MG should only be looking for ServiceChange commands and
> would/should discard other messages. Also as the MG is in state OOS
the
> event mechanism which is used for inactivity timing would be inactive.
>
> Regards, Christian
>
> Pascal Lambers wrote:
>
> > Hello,
> >
> > Suppose that both MG and MGC run with the Inactivity Timer Package
> > (H.248.14) activated: the MGC will send down heartbeat messages in
> > case there is no other traffic.
> >
> > Now, if this MG reports to be OOS (Eg it sends ServiceChange Forced
> > for Root): does the MG mandatorily have to stop sending down the
> > heartbeat messages?
> >
> > Kind regards,
> > Pascal
> >
> >
> >
>
>-----------------------------------------------------------------------
-
> >
> >_______________________________________________
> >Megaco mailing list
> >[email-masked]
> >https://www1.ietf.org/mailman/listinfo/megaco
> >
> >
>
>
> _______________________________________________
> Megaco mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/megaco
>
>

_______________________________________________
Megaco mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/megaco

_______________________________________________
Megaco mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/megaco